#
# spec file for package BootTools
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           BootTools
Version:        0.0.git.1374941069.2dacae1
Release:        1.1
Summary:        Tools for Unpacking and Repacking Android boot.img
License:        Apache-2.0
Group:          Development/Tools/Other
# https://github.com/AndroidRoot/BootTools
Url:            https://www.androidroot.mobi/
Source:         %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Tools for unpacking and repacking boot.img.

%prep
%setup -q

%build
%{__make} %{?jobs:-j%jobs} CFLAGS="-Wall $RPM_OPT_FLAGS -I. -Ishared -Isrc"

%install
%makeinstall PREFIX=%{_prefix}
install unpack-bootimg.sh $RPM_BUILD_ROOT%{_bindir}/unpack-bootimg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%{_bindir}/*

%changelog
* Thu Nov 28 2013 sbrabec@suse.cz
- Package created.
